Package org.thymeleaf.extras.springsecurity5.auth

## Class AclAuthUtils

- Object
- - org.thymeleaf.extras.springsecurity5.auth.AclAuthUtils

-     public final class AclAuthUtils
      extends Object

  Since:
    2.0.1
  Author:
    Daniel Fernández

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `authorizeUsingAccessControlList​(org.thymeleaf.context.IExpressionContext context, Object domainObject, List<org.springframework.security.acls.model.Permission> permissions, org.springframework.security.core.Authentication authentication)` |
    `static boolean` | `authorizeUsingAccessControlList​(org.thymeleaf.context.IExpressionContext context, Object domainObject, org.springframework.context.ApplicationContext applicationContext, String permissionsString, org.springframework.security.core.Authentication authentication)` |
    `static List<org.springframework.security.acls.model.Permission>` | `parsePermissionsString​(org.springframework.context.ApplicationContext applicationContext, String permissionsString)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### authorizeUsingAccessControlList

          public static boolean authorizeUsingAccessControlList​(org.thymeleaf.context.IExpressionContext context,
                                                                Object domainObject,
                                                                org.springframework.context.ApplicationContext applicationContext,
                                                                String permissionsString,
                                                                org.springframework.security.core.Authentication authentication)

    - #### authorizeUsingAccessControlList

          public static boolean authorizeUsingAccessControlList​(org.thymeleaf.context.IExpressionContext context,
                                                                Object domainObject,
                                                                List<org.springframework.security.acls.model.Permission> permissions,
                                                                org.springframework.security.core.Authentication authentication)

    - #### parsePermissionsString

          public static List<org.springframework.security.acls.model.Permission> parsePermissionsString​(org.springframework.context.ApplicationContext applicationContext,
                                                                                                        String permissionsString)
                                                                                                 throws NumberFormatException

      Throws:
        `NumberFormatException`